Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jbosscommon51
Interface PersistenceUnitRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  PersistenceUnitRefTypeImpl

    public interface PersistenceUnitRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `persistence-unit-refType` xsd type

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<InjectionTargetType<PersistenceUnitRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJndiName()` Returns the `jndi-name` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.lang.String` | `getPersistenceUnitName()` Returns the `persistence-unit-name` element
`java.lang.String` | `getPersistenceUnitRefName()` Returns the `persistence-unit-ref-name` element
`PersistenceUnitRefType<T>` | `ignoreDependency()`
`InjectionTargetType<PersistenceUnitRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`java.lang.Boolean` | `isIgnoreDependency()`
`PersistenceUnitRefType<T>` | `removeAllDescription()` Removes the `description` element
`PersistenceUnitRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`PersistenceUnitRefType<T>` | `removeJndiName()` Removes the `jndi-name` element
`PersistenceUnitRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`PersistenceUnitRefType<T>` | `removePersistenceUnitName()` Removes the `persistence-unit-name` element
`PersistenceUnitRefType<T>` | `removePersistenceUnitRefName()` Removes the `persistence-unit-ref-name` element
`PersistenceUnitRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`PersistenceUnitRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`PersistenceUnitRefType<T>` | `setJndiName(java.lang.String jndiName)` If not already created, a new `jndi-name` element with the given value will be created.
`PersistenceUnitRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`PersistenceUnitRefType<T>` | `setPersistenceUnitName(java.lang.String persistenceUnitName)` If not already created, a new `persistence-unit-name` element with the given value will be created.
`PersistenceUnitRefType<T>` | `setPersistenceUnitRefName(java.lang.String persistenceUnitRefName)` If not already created, a new `persistence-unit-ref-name` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setJndiName

    PersistenceUnitRefType<T> setJndiName(java.lang.String jndiName)

  If not already created, a new `jndi-name` element with the given value will be created. Otherwise, the existing `jndi-name` element will be updated with the given value.

  Returns:
    the current instance of `PersistenceUnitRefType`

### removeJndiName

    PersistenceUnitRefType<T> removeJndiName()

  Removes the `jndi-name` element

  Returns:
    the current instance of `PersistenceUnitRefType`

### getJndiName

    java.lang.String getJndiName()

  Returns the `jndi-name` element

  Returns:
    the node defined for the element `jndi-name`

### setMappedName

    PersistenceUnitRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `PersistenceUnitRefType`

### removeMappedName

    PersistenceUnitRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `PersistenceUnitRefType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    PersistenceUnitRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Returns:
    the current instance of `PersistenceUnitRefType`

### injectionTarget

    InjectionTargetType<PersistenceUnitRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    java.util.List<InjectionTargetType<PersistenceUnitRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Returns:
    list of `injection-target`

### ignoreDependency

    PersistenceUnitRefType<T> ignoreDependency()

### isIgnoreDependency

    java.lang.Boolean isIgnoreDependency()

### setDescription

    PersistenceUnitRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `PersistenceUnitRefType`

### setDescriptionList

    PersistenceUnitRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `PersistenceUnitRefType`

### removeAllDescription

    PersistenceUnitRefType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `PersistenceUnitRefType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setPersistenceUnitRefName

    PersistenceUnitRefType<T> setPersistenceUnitRefName(java.lang.String persistenceUnitRefName)

  If not already created, a new `persistence-unit-ref-name` element with the given value will be created. Otherwise, the existing `persistence-unit-ref-name` element will be updated with the given value.

  Returns:
    the current instance of `PersistenceUnitRefType`

### removePersistenceUnitRefName

    PersistenceUnitRefType<T> removePersistenceUnitRefName()

  Removes the `persistence-unit-ref-name` element

  Returns:
    the current instance of `PersistenceUnitRefType`

### getPersistenceUnitRefName

    java.lang.String getPersistenceUnitRefName()

  Returns the `persistence-unit-ref-name` element

  Returns:
    the node defined for the element `persistence-unit-ref-name`

### setPersistenceUnitName

    PersistenceUnitRefType<T> setPersistenceUnitName(java.lang.String persistenceUnitName)

  If not already created, a new `persistence-unit-name` element with the given value will be created. Otherwise, the existing `persistence-unit-name` element will be updated with the given value.

  Returns:
    the current instance of `PersistenceUnitRefType`

### removePersistenceUnitName

    PersistenceUnitRefType<T> removePersistenceUnitName()

  Removes the `persistence-unit-name` element

  Returns:
    the current instance of `PersistenceUnitRefType`

### getPersistenceUnitName

    java.lang.String getPersistenceUnitName()

  Returns the `persistence-unit-name` element

  Returns:
    the node defined for the element `persistence-unit-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD